maNormNN {nnNorm} | R Documentation

## Intensity and spatial normalization using robust neural networks fitting

### Description

This function normalizes a batch of cDNA arrays by removing the intensity and spatial dependent bias.

### Usage

    maNormNN(mbatch,binWidth=3,binHeight=3,model.nonlins=3,iterations=200,robust=TRUE,maplots=FALSE)

### Arguments

`mbatch` | A `marrayRaw` or `marrayNorm` batch of arrays.
`binWidth` | Width of the bins in the X direction (spot column) in which the print tip will be divided in order to account for spatial variation. Max value is `maNsc(mbatch)`, Min value is 1. However if it is set to a number larger than `maNsc(mbatch)/2` (so less than two bins in X direction) the variable X will not be used as predictor to estimate the bias.
`binHeight` | Height of the bins in the Y direction (spot row)in which the print tip will be divided in order to account for spatial variation. Max value is `maNsr(mbatch)`, Min value is 1. However if it is set to a number larger than `maNsr(mbatch)/2` (so less than two bins in Y direction) the variable Y will not be used as predictor to estimate the bias.
`model.nonlins` | Number of nodes in the hidden layer of the neural network model.
`iterations` | The number of iterations at which (if not converged) the training of the neural net will be stopped.
`robust` | If set to `"TRUE"`, each spot will be assigned a weight in the model identification, providing resistance to outliers.
`maplots` | If set to `"TRUE"` will produce a M-A plot for each slide before and after normalization.

### Details

This function uses neural networks to model the bias in cDNA data sets.

### Value

A `marrayNorm` object containing the normalized log ratios. See `marrayNorm` class for details

### Author(s)

Tarca, A.L.

### References

A. L. Tarca, J. E. K. Cooke, and J. Mackay. Robust neural networks approach for spatial and intensity dependent normalization of cDNA data. Bioinformatics. 2004,submitted.

### See Also

`compNorm`,`nnet`

### Examples

    # Normalization of swirl data
    data(swirl)
    # print-tip, intensity and spatial normalization of the first slide in swirl data set
    swirlNN<-maNormNN(swirl[,1])

    #do not consider spatial variations, and display M-A plots before and after normalization
    swirlNN<-maNormNN(swirl[,1],binWidth=maNsc(swirl),binHeight=maNsr(swirl),maplots=TRUE)

[Package nnNorm version 1.4.0 Index]